Cyberduck Mountain Duck CLI

#4085 closed enhancement (worksforme)

How to enable stat -l

Reported by: simsetp@… Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 3.3
Severity: normal Keywords: stat -l directory listing
Cc: Architecture:
Platform:

Description

I already set defaults write ch.sudo.cyberduck ftp.sendStatListCommand false, but still cyberduck only uses in stat command to list, instead of using stat -l. How do you enable this?

Change History (7)

comment:1 in reply to: ↑ description Changed on Jan 13, 2010 at 7:20:26 PM by simsetp@…

Replying to simsetp@…:

I already set defaults write ch.sudo.cyberduck ftp.sendStatListCommand false, but still cyberduck only uses in stat command to list, instead of using stat -l. How do you enable this?

I meant i set it to true of course.

comment:2 follow-up: Changed on Jan 16, 2010 at 1:40:18 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to wontfix
  • Status changed from new to closed

The ftp.sendStatListCommand just determines if STAT is enabled or not to request a directory listing from the server. There is no such thing as STAT -l.

comment:3 in reply to: ↑ 2 ; follow-up: Changed on Jan 16, 2010 at 4:05:42 PM by SimonTP

Replying to dkocher:

The ftp.sendStatListCommand just determines if STAT is enabled or not to request a directory listing from the server. There is no such thing as STAT -l.

Yes there is, FlashFXP supports it:

http://www.flashfxp.com/features.php

Would be a very nice feature to add and should be fairly simple to do, just sent stat -l instead of just stat when you wanna list dirs and should give alot more speed when listing dirs with alot of dirs/files.

comment:4 in reply to: ↑ 3 ; follow-up: Changed on Jan 16, 2010 at 4:30:45 PM by dkocher

Replying to SimonTP:

Replying to dkocher:

The ftp.sendStatListCommand just determines if STAT is enabled or not to request a directory listing from the server. There is no such thing as STAT -l.

Yes there is, FlashFXP supports it:

http://www.flashfxp.com/features.php

Would be a very nice feature to add and should be fairly simple to do, just sent stat -l instead of just stat when you wanna list dirs and should give alot more speed when listing dirs with alot of dirs/files.

We do support STAT, just without the -l flag which I don't know what it is useful for.

comment:5 in reply to: ↑ 4 Changed on Jan 16, 2010 at 7:53:07 PM by SimonTP

Replying to dkocher:

Replying to SimonTP:

Replying to dkocher:

The ftp.sendStatListCommand just determines if STAT is enabled or not to request a directory listing from the server. There is no such thing as STAT -l.

Yes there is, FlashFXP supports it:

http://www.flashfxp.com/features.php

Would be a very nice feature to add and should be fairly simple to do, just sent stat -l instead of just stat when you wanna list dirs and should give alot more speed when listing dirs with alot of dirs/files.

We do support STAT, just without the -l flag which I don't know what it is useful for.

Stat -l is alot faster then just stat, also when using just stat its list all directories/files in the console that also makes listing dirs with alot of dirs/files very slow.

http://www.ftprush.com/ftp-stat-list.html

Use STAT -l to listing directory Popular FTP servers already support "STAT -l" command to transferring dir list via control channel, for example glFTPD, raidenFTPD, microsoft FTPD, ProFTPD and PureFTPD. without create new connection to server the FTP client retrieves the directory information from control channel to saving time, It's very fast.

comment:6 Changed on Feb 8, 2010 at 12:58:44 PM by SimonTP

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Any chance of this being implemented? A real pain that listing big dirs takes 10-15sec, when i can take 50ms in FlashFXP

comment:7 Changed on Apr 1, 2010 at 9:12:13 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

As said previously we do support STAT with the directory listing on the control channel.

Note: See TracTickets for help on using tickets.
swiss made software